> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 뮤트 조회

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

<div id="mutes-lookup-standard-v11-compared-to-x-api-v2">
  ### 뮤트 조회: standard v1.1와 X API v2 비교
</div>

standard v1.1의 [GET mutes/users/ids](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/mute-block-report-users/api-reference/get-mutes-users-ids)와 [GET mutes/users/list](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/mute-block-report-users/api-reference/get-mutes-users-list) 엔드포인트를 사용해 왔다면, 이 가이드는 standard v1.1과 X API v2 뮤트 조회 엔드포인트 간의 유사점과 차이점을 이해하는 데 도움을 주기 위한 것입니다.

* **유사점**
  * 인증
* **차이점**
  * 엔드포인트 URL

  * 요청당 사용자 수 제한

  * App 및 Project 요구 사항

  * 응답 데이터 형식

  * 요청 매개변수

<div id="similarities">
  #### 유사점
</div>

**인증**

Standard v1.1과 X API v2의 뮤트 조회(mutes lookup) 엔드포인트는 모두 [OAuth 1.0a User Context](/ko/resources/fundamentals/authentication#oauth-1-0a-2)를 사용합니다. 따라서 이전에 Standard v1.1 mutes lookup 엔드포인트 중 하나를 사용해 왔다면, X API v2 버전으로 마이그레이션하더라도 동일한 인증 방식을 계속 사용할 수 있습니다. 

<div id="differences">
  #### Differences
</div>

**Endpoint URLs**

* Standard v1.1 endpoints:
  * GET [https://api.x.com/1.1/mutes/users/ids.json](https://api.x.com/1.1/mutes/users/ids.json)
    (지정된 사용자가 뮤트한 사용자의 ID 목록)
  * GET [https://api.x.com/1.1/mutes/users/lists.json](https://api.x.com/1.1/mutes/users/lists.json)
    (지정된 사용자가 뮤트한 사용자 목록)
* X API v2 endpoint:
  * GET [https://api.x.com/2/users/:id/muting](https://api.x.com/2/users/:id/muting)
    (지정된 사용자 ID가 뮤트한 사용자 목록)
     

**요청당 사용자 수 제한**

standard v1.1 엔드포인트는 요청당 최대 5,000명의 사용자를 반환할 수 있습니다. 새 v2 엔드포인트는 요청당 최대 1,000명의 사용자를 반환할 수 있습니다. 1,000명의 사용자를 모두 반환받으려면 쿼리 매개변수로 max\_results=1000을 전달해야 합니다. 그런 다음 응답 페이로드에 포함된 next\_token을 다음 요청에서 pagination\_token 쿼리 매개변수로 전달할 수 있습니다.
 

**App 및 Project 요구 사항**

X API v2 엔드포인트를 사용하려면 요청을 인증할 때 [developer App](/ko/resources/fundamentals/developer-apps)과 연결된 [Project](/ko/resources/fundamentals/developer-apps)의 자격 증명을 사용해야 합니다. 모든 X API v1.1 엔드포인트는 Project와 연결된 App이든 아니든 App의 자격 증명을 사용할 수 있습니다.

**응답 데이터 형식**

standard v1.1과 X API v2 엔드포인트 버전 간 가장 큰 차이점 중 하나는 페이로드에 어떤 필드를 반환할지 선택하는 방식입니다.

standard 엔드포인트에서는 많은 응답 필드가 기본적으로 제공되며, 이후 매개변수를 사용해 페이로드에 어떤 필드 또는 필드 집합을 반환할지 지정할 수 있습니다.

X API v2 버전은 기본적으로 user id, name, username 필드만 제공합니다. 추가 필드나 객체를 요청하려면 [fields](/ko/x-api/fundamentals/fields) 및 [expansions](/ko/x-api/fundamentals/expansions) 매개변수를 사용해야 합니다. 이 엔드포인트에서 요청한 모든 user 필드는 기본 user 객체에 포함되어 반환됩니다. 확장된 게시물 객체와 필드는 응답 내 includes 객체에 포함되어 반환됩니다. 그런 다음 user와 확장된 게시물 객체 모두에 있는 ID를 매칭하여, 확장된 객체를 user 객체와 다시 연결할 수 있습니다. 

이러한 새 매개변수에 대해 더 알아보려면 각 가이드 또는 [fields 및 expansions 사용 방법](/ko/x-api/fundamentals/data-dictionary#how-to-use-fields-and-expansions)에 관한 가이드를 참고할 것을 권장합니다. 

또한 standard v1.1 필드를 새로운 v2 필드에 매핑하는 데 도움이 되는 [데이터 형식 마이그레이션 가이드](/ko/x-api/migrate/data-format-migration#migrating-from-standard-v1-1s-data-format-to-v2)도 마련했습니다. 이 가이드는 특정 필드를 반환하기 위해 v2 요청에 함께 전달해야 하는 expansions 및 field 매개변수를 구체적으로 제공합니다. 
 

특정 필드를 요청하는 방식의 변경 외에도, X API v2는 API가 반환하는 객체(예: [Post](/ko/x-api/fundamentals/data-dictionary#tweet) 및 [user](/ko/x-api/fundamentals/data-dictionary#user) 객체)에 대해 새로운 JSON 구조를 도입하고 있습니다.

* JSON 루트 레벨에서, standard 엔드포인트는 statuses 배열에 게시물 객체를 반환하는 반면, X API v2는 data 배열을 반환합니다. 
* 리트윗 및 인용 "statuses"를 참조하는 대신, X API v2 JSON은 리트윗 및 인용 Tweet을 참조합니다. contributors, user.translator\_type과 같은 많은 레거시 및 사용 중단 필드는 제거됩니다. 
* Post 객체의 favorites와 user 객체의 favourites를 모두 사용하는 대신, X API v2는 like라는 용어를 사용합니다. 
* X는 값이 없는 JSON 값(예: null)은 페이로드에 기록하지 않는 규칙을 채택하고 있습니다. 게시물과 user 속성은 null이 아닌 값을 가질 때에만 포함됩니다. 
   

또한 [Post object](/ko/x-api/fundamentals/data-dictionary#tweet)에 다음과 같은 새로운 필드 집합을 도입했습니다.

* [conversation\_id](/ko/x-api/fundamentals/conversation-id) 필드
* context와 entities를 포함하는 두 개의 새로운 [annotations](/ko/x-api/fundamentals/post-annotations) 필드
* 여러 개의 새로운 [metrics](/ko/x-api/fundamentals/metrics) 필드 
* 특정 게시물에 누가 답글을 달 수 있는지 표시하는 새로운 reply\_setting 필드

**Request parameters**

다음 standard v1.1 요청 매개변수에는 X API v2에서의 대응 항목이 있습니다:

| **표준**         | **X API v2**      |
| :------------- | :---------------- |
| stringify\_ids | 해당 없음             |
| cursor         | pagination\_token |
| skip\_status   | 해당 없음             |

또한 X API v2에서 지원되지 **않는** v1.1 Mutes 조회용 표준 요청 파라미터 세트도 있습니다:

| 표준                | 설명                                                                             |
| :---------------- | :----------------------------------------------------------------------------- |
| include\_entities | 이 파라미터는 게시물 페이로드에서 entities 노드를 제거하는 데 사용됩니다. 추가 필드 및 expansions 기능으로 대체되었습니다. |

***

<div id="code-examples">
  ## 코드 예제
</div>

<div id="get-muted-users-v2">
  ### 음소거한 사용자 조회 (v2)
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/users/123456789/muting?user.fields=username,verified&max_results=100" \
    -H "Authorization: OAuth ..."
  ```

  ```python Python theme={null}
  # OAuth 1.0a 사용자 컨텍스트 인증이 필요합니다.
  import requests
  from requests_oauthlib import OAuth1

  auth = OAuth1(
      "API_KEY", "API_SECRET",
      "ACCESS_TOKEN", "ACCESS_TOKEN_SECRET"
  )

  url = "https://api.x.com/2/users/123456789/muting"
  params = {"user.fields": "username,verified", "max_results": 100}

  response = requests.get(url, auth=auth, params=params)
  print(response.json())
  ```

  ```python Python SDK theme={null}
  from xdk import Client
  from xdk.oauth1_auth import OAuth1

  oauth1 = OAuth1(
      api_key="YOUR_API_KEY",
      api_secret="YOUR_API_SECRET",
      access_token="YOUR_ACCESS_TOKEN",
      access_token_secret="YOUR_ACCESS_TOKEN_SECRET"
  )

  client = Client(auth=oauth1)

  # 페이지네이션을 사용해 음소거한 사용자 조회
  for page in client.users.get_muting(
      "123456789",
      user_fields=["username", "verified"],
      max_results=100
  ):
      for user in page.data:
          print(f"{user.username} - Verified: {user.verified}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client, OAuth1 } from "@xdevplatform/xdk";

  const oauth1 = new OAuth1({
    apiKey: "YOUR_API_KEY",
    apiSecret: "YOUR_API_SECRET",
    accessToken: "YOUR_ACCESS_TOKEN",
    accessTokenSecret: "YOUR_ACCESS_TOKEN_SECRET",
  });

  const client = new Client({ oauth1 });

  // 페이지네이션을 사용해 음소거한 사용자 조회
  const paginator = client.users.getMuting("123456789", {
    userFields: ["username", "verified"],
    maxResults: 100,
  });

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(`${user.username} - Verified: ${user.verified}`);
    });
  }
  ```
</CodeGroup>
